NPN Management
manage the list of subscribed NPNs that your account has access to
Get active NPNs subscribed to the account
Returns a list of active NPNs associated with the account.
get
https://api.sandbox.agentsync.io/v1/accounts/subscriptions
Response
application/json
Response
application/json
Success
array[string]
application/json
Replace the list of active NPNs subscribed to the account
Replaced the current list of active NPNs with the new list provided in the request. This request will delete and add NPNs.
This operation is asynchronous
post
https://api.sandbox.agentsync.io/v1/accounts/subscriptions
Body
application/json
Body
application/json
The list of NPNs to activate
array[string]
Response
application/json
Response
application/json
Success
Subscription200
successboolean
Example:true
messagestring
Example:Job is in progress
job_idstring
Example:0ded8367-01ac-4519-8cd7-ce965d55c0b0
linksobject
Show Child Parameters
application/json
Append to the list of active NPNs subscribed to the account
Append to the current list of active NPNs with the new list provided in the request.
This operation is asynchronous
put
https://api.sandbox.agentsync.io/v1/accounts/subscriptions
Body
application/json
Body
application/json
array[string]
Response
application/json
Response
application/json
Success
Subscription200
successboolean
Example:true
messagestring
Example:Job is in progress
job_idstring
Example:0ded8367-01ac-4519-8cd7-ce965d55c0b0
linksobject
Show Child Parameters
application/json
Remove active NPNs subscribed to the account
Request a list of currently active NPNs to un-associated with the account (or delete).
delete
https://api.sandbox.agentsync.io/v1/accounts/subscriptions
Body
application/json
Body
application/json
array[string]
Response
Response
Accepted